2

seems simple enough to aplly prodsecbug patch but I get this ...

public_html$ bash PRODSECBUG-2198-2.2-CE.composer-2019-03-27-06-12-19.patch
diff: unrecognized option '--git'
diff: Try 'diff --help' for more information.
PRODSECBUG-2198-2.2-CE.composer-2019-03-27-06-12-19.patch: line 2: index: command not found
PRODSECBUG-2198-2.2-CE.composer-2019-03-27-06-12-19.patch: line 3: ---: command not found
PRODSECBUG-2198-2.2-CE.composer-2019-03-27-06-12-19.patch: line 4: +++: command not found
PRODSECBUG-2198-2.2-CE.composer-2019-03-27-06-12-19.patch: line 5: @@: command not found
PRODSECBUG-2198-2.2-CE.composer-2019-03-27-06-12-19.patch: line 6: =: command not found
PRODSECBUG-2198-2.2-CE.composer-2019-03-27-06-12-19.patch: line 8: syntax error near unexpected token `$actions'
PRODSECBUG-2198-2.2-CE.composer-2019-03-27-06-12-19.patch: line 8: `         foreach ($actions as $action) {'
0

Install the patch using this command

patch -p0 < PRODSECBUG-2198-2.2-CE.composer-2019-03-27-06-12-19.patch

If you get

patch command not found error

install the patch command using either

sudo apt-get install patch or sudo yum install patch

  • prntscr.com/nc3le9 error something like this – Jigs Parmar Apr 15 at 9:06
  • Remove the a and b before "vendor" in patch file. The file path is wrong this is what the error specifies – Raj Mohan R Apr 15 at 9:09

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.